libetpan (1.10.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libetpan-dev: Depends: liblmdb-dev (Closes: #1140889)

 -- Adrian Bunk <bunk@debian.org>  Mon, 06 Jul 2026 23:47:25 +0300

libetpan (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Update tarball script and associated patches
  * Update Standards-Version to 4.7.4 with no other changes
  * Update patch partially applied upstream
  * Remove patches already applied upstream
  * Refresh and update headers of remaining patches
  * Update file with new symbols in this release

 -- Ricardo Mones <mones@debian.org>  Sun, 21 Jun 2026 19:09:25 +0200

libetpan (1.9.4-7) unstable; urgency=medium

  * Switch cache backend from Berkeley DB to LMDB (Closes: #1117737, #1119168)
  * Update watch file to version 5
  * Update years range in copyright file
  * Remove unused lintian override
  * Remove Rules-Requires-Root with default value

 -- Ricardo Mones <mones@debian.org>  Sat, 22 Nov 2025 19:37:02 +0100

libetpan (1.9.4-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Ricardo Mones ]
  * Add patch to fix building twice in a row.
    Thanks to Bastian Germann (closes: #1046885)
  * Update Standards-Version to 4.7.2, no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 23 Mar 2025 21:11:25 +0100

libetpan (1.9.4-5) unstable; urgency=high

  [Bastian Germann]
  * Replace Cyrus SASL MD5 with Colin Plumb's MD5 (Closes: #1087747)
    - Drop the lep_hmac_md5* symbols that are not used in reverse dependencies

  [Ricardo Mones]
  * Fix patch added by Bastian to be applicable to current sources (thanks!)
  * Fix watch file to use the actual repository
  * Raised urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Tue, 10 Dec 2024 01:38:35 +0100

libetpan (1.9.4-4) unstable; urgency=medium

  * Acknowledge NMUs:
    • Fixed crash when st_info_list is NULL (CVE-2022-4121) (Closes: #1025120)
      Thanks to Salvatore Bonaccorso.
    • Rename libraries for 64-bit time_t transition (Closes: #1062283)
      Thanks to Benjamin Drung and Steve Langasek.
  * Add patch to fix operator precedence. Thanks to Mamoru TASAKA.
  * Build with poll to avoid NNTP crashes in clients (closes: #1068446)
  * Update Standards-Version to 4.7.0 with no other changes
  * Build-Depends: use pkgconf instead of pkg-config.
    Thanks to lintian!

 -- Ricardo Mones <mones@debian.org>  Sun, 15 Sep 2024 00:23:25 +0200

libetpan (1.9.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062283

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 11:41:56 +0000

libetpan (1.9.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed crash when st_info_list is NULL (CVE-2022-4121) (Closes: #1025120)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Dec 2022 09:42:05 +0100

libetpan (1.9.4-3) unstable; urgency=medium

  * Patch from upstream commits fixing CVE-2020-15953 (Closes: #966647)
  * Standards-Version: update to 4.5.1 with no other changes
  * Remove dh_strip override: dbgsym already in stable
  * Raise compat level to 13 and simplify rules
  * Rules-Requires-Root: add field
  * Add patch fixing encoding in some header files
  * Add upstream metadata file
  * Annotate files not installed

 -- Ricardo Mones <mones@debian.org>  Sun, 10 Jan 2021 18:39:40 +0100

libetpan (1.9.4-2) unstable; urgency=medium

  * Upload new upstream version to unstable
  * Update Standards-Version to 4.5.0, no other changes

 -- Ricardo Mones <mones@debian.org>  Mon, 24 Feb 2020 15:45:02 +0100

libetpan (1.9.4-1) experimental; urgency=medium

  * New upstream version 1.9.4
  * Now requires pkg-config for building
  * Remove patch already upstream (90_fix_tls_timeout.diff)
  * Install pc file instead of custom config script
  * Update Standards-Version to 4.4.1 (no other changes)
  * Bump compat level to 12
  * Update homepage URL: https supported now
  * Update years range in copyright

 -- Ricardo Mones <mones@debian.org>  Sat, 09 Nov 2019 20:49:53 +0100

libetpan (1.9.3-2) unstable; urgency=high

  * debian/patches/90_fix_tls_timeout.diff
  - Add upstream patch to fix TLS timeout (Closes: #927709)
  * Raised changelog urgency because of serious bug

 -- Ricardo Mones <mones@debian.org>  Mon, 06 May 2019 23:27:54 +0200

libetpan (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * debian/libetpan20.symbols
  - Add new symbols in this version
  * debian/control
  - Update Standards-Version to 4.3.0
  * Remove cruft from old debug package

 -- Ricardo Mones <mones@debian.org>  Sat, 26 Jan 2019 20:49:11 +0100

libetpan (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  - Drop patch included in new release
  * debian/libetpan-doc.links, debian/libetpan-doc.dirs
  - Fix directory name and symlink (Closes: #911051)
  * debian/rules
  - Use dpkg's pkg-info for getting upstream version
  * debian/libetpan20.symbols
  - Update new symbols in this release
  - Add Build-Depends-Package to symbols file
  * debian/watch
  - Fix watch file

 -- Ricardo Mones <mones@debian.org>  Tue, 18 Dec 2018 16:06:14 +0100

libetpan (1.9.1-2) unstable; urgency=high

  * Add patch to fix FTBFS with curl 7.62.0.
    Thanks to Po-Chuan Hsieh and Hoà V. DINH (Closes: #913383)

 -- Ricardo Mones <mones@debian.org>  Wed, 28 Nov 2018 20:16:29 +0100

libetpan (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * debian/control
  - Remove unnecessary dh argument
  - Remove duplicated Priority field
  * Remove trailing whitespaces from changelog

 -- Ricardo Mones <mones@debian.org>  Thu, 04 Oct 2018 00:45:19 +0200

libetpan (1.8.0-2) unstable; urgency=medium

  * debian/control, debian/rules
  - Migrate to automatic debug symbol package
  * debian/control
  - Update Standards-Version to 4.2.1
    • libetpan-dev: set priority to optional
  - Update Vcs-* URLs to point to current repository
  - Remove Nikita from uploaders (thanks for your past work!)
  * debian/compat, debian/control, debian/rules
  - Bump debhelper compat level to 11
  * debian/patches/series
  - Add upstream-only patch commented to keep lintian happy
  * debian/copyright
  - Update Format URL and years range
  * debian/patches/12_add_dummy_readme.diff
  - Add a README file to keep autotools happy
  * debian/*.maintscript
  - Fix symbolic links
  * debian/libetpan-doc.doc-base
  - Fix location of documentation files

 -- Ricardo Mones <mones@debian.org>  Thu, 30 Aug 2018 00:18:17 +0200

libetpan (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * get-upstream-tarball
  - Add an optional arg for specifying tarball version when it
    doesn't match the git tag (e.g.: '1.8' tag for '1.8.0' version)
  * patches/fix-CVE-2017-8825.diff, patches/series
  - Remove patch already in this version
  * control, libetpan17.* → libetpan20.*
  - Update soname: binary package is now libetpan20
  * copyright
  - Update date, fix expressions matching no files (thanks lintian!)

 -- Ricardo Mones <mones@debian.org>  Sun, 02 Jul 2017 13:11:54 +0200

libetpan (1.6-3) unstable; urgency=high

  * patches/fix-CVE-2017-8825.diff, patches/series
  - Add upstream patch to fix CVE-2017-8825 (Closes: #862151)
  * control
  - Homepage: point to library's own page

 -- Ricardo Mones <mones@debian.org>  Tue, 30 May 2017 10:16:19 +0200

libetpan (1.6-2) unstable; urgency=medium

  * control
  - Build-Depends: replace jade with openjade (Closes: #840485)
  - Build-Depends-Indep: moved here from Build-Depends
  - Standards-Version: update to 3.9.8 (no other changes required)
  - Vcs-*: update all URLs to use https
  * patches/11_use_openjade.diff, patches/series
  - Add patch to use openjade instead of jade

 -- Ricardo Mones <mones@debian.org>  Wed, 12 Oct 2016 23:35:06 +0200

libetpan (1.6-1) unstable; urgency=medium

  * New upstream release in response to CVE-2014-3566 (POODLE)
  - SSLv3 is not forced anymore in SSL connections
  * patches/10*.diff, patches/series, get-upstream-tarball
  - Update patch, which was partially applied in github commit
    1e2008cb6abdfe629f11ca2c1f21d399c52579a9, but it's now required
    to generate the upstream tarball from the git tag. Removed from
    series file but used now by get-upstream-tarball scriptlet.
  * debian/libetpan17.symbols
  - Update symbols file: 10 added, 0 removed
  * debian/control
  - Update Standards-Version to 3.9.6 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Thu, 03 Sep 2015 16:48:32 +0200

libetpan (1.5-2) unstable; urgency=high

  [ Vincent Cheng ]
  * Fix unhandled symlink to directory conversion. (Closes: #773036)

  [ Ricardo Mones ]
  * Change Vincent's patch versions and changelog entry to make it a
    regular upload and thank him very much for the patch! :)
  * Raise urgency because of RC bug.

 -- Ricardo Mones <mones@debian.org>  Wed, 07 Jan 2015 14:10:56 +0100

libetpan (1.5-1) unstable; urgency=medium

  * New upstream release: not really, identical to 1.4.1 but version
    bumped because “1.4.1 is not allowed as version number.” (sic.)
  - Builds in hurd-i386 since previous release (Closes: #686103)
  * debian/control
  - Update Depends of -dev to libgnutls28-dev (Closes: #751269)
  - Remove “Multi-Arch: same” for -dev (Closes: #751154)

 -- Ricardo Mones <mones@debian.org>  Wed, 11 Jun 2014 18:24:25 +0200

libetpan (1.4.1-2) unstable; urgency=medium

  * debian/copyright
  - Update format and content for unstable (Closes: #750176)

 -- Ricardo Mones <mones@debian.org>  Mon, 09 Jun 2014 22:50:24 +0200

libetpan (1.4.1-1) experimental; urgency=medium

  * New upstream release
  - Upstream has stopped shipping release tarballs and degraded them
    to compressed git tags: source tarball was generated from this
  - Use debhelper sequencer and bump compat level to 9
  - Enable hardening flags and multiarch-ify
  * patches/add-db5.3.patch, patches/series
  - Removed patch already in this release
  * control, rules, libetpan16.* → libetpan17.*, libetpan-*.links
  - Update soname: binary package is now libetpan17
  - Add new symbols in 1.4 (no new symbols in 1.4.1)
  - Add LDFLAGS to make (thanks lintian!)
  * control, rules
  - Removed dh_autoreconf: tarball is generated with updated autotools
  * libetpan-doc.docs, libetpan-doc.dirs, control, rules
  - Update links, add docbook-dsssl and jade to Build-Depends to be able
    to build documentation and invoke make in doc dir to build it
  * control, patches/10_unnecessary_linkage.diff, patches/series
  - Upgrade libgnutls-dev to libgnutls28-dev in Build-Depends and
    add patch to remove unnecessary linkage and allow building;
    Thanks to Andreas Metzler for the suggestion and the patch

 -- Ricardo Mones <mones@debian.org>  Sun, 25 May 2014 02:15:16 +0200

libetpan (1.1-3) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/patches
    - add add-db5.3.patch (Closes: #740506)
  * debian/rules
    - use autoreconf to apply above patch
  * debian/control
    - add "Build-Depends: dh-autoreconf" to use autoreconf
      (Maybe it's overkill but it's okay since make it DH7 style in
       a near future)

  [ Ricardo Mones ]
  * debian/control
    - Upload to unstable. Has been time enough in experimental, it's
      time to push it forward.
    - Upgrade Standards-Version to 3.9.5 (no other changes)
    - Fix Vcs-* URLs to use the canonical hostname
    - Improve descriptions a bit and rewrap some long lines.
  * debian/rules
    - Use dh-autoreconf properly (Closes: #727405)
  * Fix some changelog typos too.

 -- Ricardo Mones <mones@debian.org>  Mon, 17 Mar 2014 02:39:05 +0100

libetpan (1.1-2) experimental; urgency=low

  * debian/libetpan16.symbols
  - Remove Debian revision from symbols (thanks lintian)
  * debian/rules
  - Add build-arch and build-indep targets (thanks lintian)
  - Enable hardening: add fortify source (immediage binding
    and read-only relocation fail because of curl usage)

 -- Ricardo Mones <mones@debian.org>  Thu, 28 Jun 2012 10:48:39 +0200

libetpan (1.1-1) experimental; urgency=low

  * New upstream release (Closes: #678970)
  * debian/control
  - New maintainer, set Nikita as uploader. Many thanks for your
    work on libEtPan! all those years.
  - Updated Standards-Version to 3.9.3 (no other changes)
  - Switched Vcs- headers to git.debian.org
  * patches/*.patch, patches/series
  - Removed patches, both already upstream
  * control, rules, libetpan15.*
  - Updated soname: binary package is now libetpan16
  - Updated symbols file: mailimap_idle_get_done_date renamed to
    mailimap_idle_get_done_delay.

 -- Ricardo Mones <mones@debian.org>  Thu, 28 Jun 2012 01:55:18 +0200

libetpan (1.0-5) unstable; urgency=low

  * Update build-windows/libetpan_version.h by a debian patch, not by
    configure script. Closes: #643185.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 03 Oct 2011 00:08:15 +0400

libetpan (1.0-4) unstable; urgency=low

  * Calculate libetpan-dev dependency on libdb based on what libetpan.so
    is actually, linked against, and not based on what libdb-dev depends on.
    Closes: #618965.
  * Patch configure to detect libdb-5.1.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 20 Mar 2011 14:38:11 +0300

libetpan (1.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 13 Mar 2011 16:41:33 +0300

libetpan (1.0-2) experimental; urgency=low

  * Stop providing /usr/lib/libetpan.la in -dev package (Closes: #591554).
  * Update Standards-Version to 3.9.1.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 10 Aug 2010 22:45:55 +0400

libetpan (1.0-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * New Upstream Version (Closes: #577404).
  * Upstream changed library soname; rename library package to libetpan15.
  * Update Standards-Version to 3.8.4.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 02 May 2010 12:28:23 +0400

libetpan (0.58-1) unstable; urgency=low

  * New Upstream Version.
  * Move libetpan-dbg to new section 'debug'.
  * Update Standards-Version to 3.8.2.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 21 Jun 2009 18:40:19 +0400

libetpan (0.57-2) unstable; urgency=low

  * Add a hack to compute proper libdb-dev dependency for libetpan-dev
    package, depending on what libdb-dev was used at package build time.
  * Reference /usr/share/doc/dpatch/README.source.gz in debian/README.source
    instead of citing it.
  * Added Vcs-Git and Vcs-Browser control fields pointing to my packaging
    repository.
  * [lintian] use sf.net redirector in debian/watch.
  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 22 Feb 2009 13:28:40 +0300

libetpan (0.57-1) experimental; urgency=low

  * New upstream release. Closes: #502007.
    - Removed patch 01-fix-498790 - included upstream.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 12 Oct 2008 21:15:08 +0400

libetpan (0.56-2) experimental; urgency=low

  * Added a patch by Jeremy Laine <jeremy.laine@m4x.org> to fix behaviour
    of mailmessage_get_bodystructure() for cached IMAP. Patch was confirmed
    by upstream. Closes: #498790.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat, 27 Sep 2008 18:19:51 +0400

libetpan (0.56-1) experimental; urgency=low

  * New Upstream Version.
    - Removed patches backported previously from upstream CVS.
    - Removed patch to detect db4.6 - already upstream.
  * Updated debian/libetpan13.symbols file with new symbols found by
    dpkg-gensymbols.
  * Increase shlibs version.
    Although we have symbols file so shlibs file should not be used any
    longer, let's keep it until lenny will become stable.
  * Don't call dpkg-gensymbols manually since dh_makeshlibs does that
    automatically now.
  * Updated to Standards-Version 3.8.0.
    - Added support for parallel=n in DEB_BUILD_OPTIONS.
    - Added debian/README.source file, using text from dpatch 2.0.30
      (this text will be replaced with a reference to origin as soon
      as origin will be included in debian stable release).
    - Added Homepage field to debian/control.
  * Upload to experimental since we are in freeze now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 08 Sep 2008 00:08:26 +0400

libetpan (0.54-3) unstable; urgency=medium

  * Added a patch from upstream CVS to fix possible parses crash. This issue
    is described in Fedora bugzilla at
    https://bugzilla.redhat.com/show_bug.cgi?id=451025
  * Fixed doc-base section in -doc package to match current policy.
  * Reformatted debian/copyright to avoid long lines.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 16 Jul 2008 14:06:24 +0400

libetpan (0.54-2) unstable; urgency=low

  * Take patch fixing mailimf_token_case_insensitive_parse() from upstream
    CVS. Closes: #486693.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 26 Jun 2008 12:51:44 +0400

libetpan (0.54-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan13.
  * Made shlibs file more backporting-friendly (closes one half of 467297).
  * Added symbols file for the library.
  * Recoded debian/copyright to utf-8.
  * Fixed a typo in libetpan-config manpage (thanks lintian).
  * (Build-)Depend on libdb-dev, not libdb4.x-dev.
  * Added a patch to that helps configure to find libdb4.6.
  * Bumped Standards-Version to 3.7.3.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  2 Mar 2008 00:22:04 +0300

libetpan (0.52-1) unstable; urgency=low

  * New upstream release.
  * Increased version in shlibs file, because of a new function in API.
  * Add libexpat1-dev and libcurl4-gnutls-dev (>= 7.16.4-5) to Build-Depends
    and to Depends of libetpan-dev package.
    Versioned dependency on libcurl4-gnutls-dev is because of #439317.
  * Updates in handling documentastion:
    - upstream tarball no longer provides txt documentation, only html,
      so no longer install API.txt.gz,
    - don't install README file since it does not contain useful information,
      only installation instructions,
    - don't install compiled tests into libetpan-doc package, which is
      Architecture: all,
    - install doc/depend.dot and doc/layer.fig files.
  * Fixes suggested by lintian:
    - -$(MAKE) distclean => $(MAKE) distclean
    - ${Source-Version} => ${binary:Version}

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat, 25 Aug 2007 16:31:06 +0400

libetpan (0.51-0.1) unstable; urgency=low

  * New upstream release
  * NMU

 -- David Moreno Garza <damog@debian.org>  Fri, 03 Aug 2007 15:52:34 -0500

libetpan (0.49-3) unstable; urgency=low

  * REALLY upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  8 Apr 2007 22:47:37 +0400

libetpan (0.49-2) experimental; urgency=low

  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  8 Apr 2007 22:39:02 +0400

libetpan (0.49-1) experimental; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan11.
  * Removed patch included upstream.
  * Upload to experimental for now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon,  8 Jan 2007 20:44:26 +0300

libetpan (0.48-3) unstable; urgency=low

  * Increased debhelper level to 5 and adjusted debhelper version in
    Build-Depends.
  * Added libetpan-dbg package with library debugging symbols.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri,  5 Jan 2007 00:08:11 +0300

libetpan (0.48-2) unstable; urgency=low

  * Apply patch from Colin Leroy <colin@colino.net> to fix crash when imap
    server returns errors. Closes: #398382.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 10 Dec 2006 15:38:32 +0300

libetpan (0.48-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan10.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 26 Oct 2006 23:17:06 +0400

libetpan (0.47-1) unstable; urgency=low

  * New upstream release.
    - Removed patches included upstream.
    - Did not increase library version in shlibs file, because looks like
      no change was done in the library ABI (although a new header was
      exported)

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 13 Oct 2006 22:44:55 +0400

libetpan (0.46-4) unstable; urgency=low

  * Added upstream patch to fix crash imap-related crash. Closes: #392493.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 13 Oct 2006 14:44:19 +0400

libetpan (0.46-3) unstable; urgency=low

  * Applied patch from Colin Leroy <colin@colino.net> that should fix
    gnutls-related crashes (Closes: #357624, #359054).
  * Fixed debian/watch to stop returning perl bindings as next libetpan
    version.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 25 Sep 2006 23:15:42 +0400

libetpan (0.46-2) unstable; urgency=low

  * Configure with --without-openssl, to force usage of gnutls if both
    openssl and gnutls are available in build environment.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 18 Aug 2006 08:19:03 +0400

libetpan (0.46-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan8.
  * Removed patches - all are in upstream now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 13 Jul 2006 00:12:13 +0400

libetpan (0.45-4) unstable; urgency=low

  * Avoid attempts to run autotools at build time (Closes: #375611).

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 28 Jun 2006 11:10:55 +0400

libetpan (0.45-3) unstable; urgency=low

  * Build against libdb-4.4 (Closes: #367853). Per discussion in that bug,
    this should be safe.
  * Increased version number in shlibs file because of libdb version change.
  * Updated Standards-Version to 3.7.2, no changes required.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 30 May 2006 15:20:54 +0400

libetpan (0.45-2) unstable; urgency=low

  * Add patch by Colin Leroy <colin@colino.net>, already in upstream CVS,
    that shoud fix #356325, #362747 and #358882.
  * Rebuild against libgnutls13. Will they ever stabialize their API?

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 17 Apr 2006 19:15:14 +0400

libetpan (0.45-1) unstable; urgency=low

  * New upstream release.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 23 Mar 2006 08:06:13 +0300

libetpan (0.44-1) unstable; urgency=low

  * New upstream release.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 22 Mar 2006 08:51:23 +0300

libetpan (0.43-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_libetpan-config_tls.dpatch - now upstream.
  * Insreased version in shlibs file, because of a new function in API.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed,  8 Mar 2006 17:47:35 +0300

libetpan (0.42-1) unstable; urgency=low

  * New upstream release (Closes: #347904).
  * Removed 01_link_libsasl2.dpatch - now upstream.
  * Upstream changed library soname; rename library package to libetpan6.
  * Really changed Maintainer to my debian.org e-mail.
  * Removed obsolete Conflicts:/Replaces: libetpan0.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 15 Jan 2006 16:43:17 +0300

libetpan (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #338280).
  * Increased version in shlibs file, because of a new function in API.
  * Upload with my debian.org e-mail in Maintainer field.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 11 Nov 2005 23:07:32 +0300

libetpan (0.39.1-1) unstable; urgency=low

  * New upstream release (Closes: #329202).
  * Increased version in shlibs file, because of API_CURRENT increase.
  * Bump Standards-Version to 3.6.2, no changes needed.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Sat, 24 Sep 2005 01:08:20 +0400

libetpan (0.38-2) unstable; urgency=low

  * Changed dependency from libgnutls11-dev to libgnutls-dev, per announced
    sid change.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Fri, 29 Jul 2005 21:17:08 +0400

libetpan (0.38-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan3.
  * Now upstream supports SASL; enable it.
  * Increased version in shlibs file, because of new library package name,
    SASL and other API additions.
  * Added 01_link_libsasl2.dpatch, to link against SASL libraries.
  * Added 02_libetpan-config_tls.dpatch, to get gnutls libs in
    'libetpan-config --libs' output.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Sun, 24 Jul 2005 13:45:20 +0400

libetpan (0.37-1) unstable; urgency=low

  * New upstream release (Closes: #317048).
  * Update debian/copyright to mention code from sendmail and from Cyrus IMAP,
    per upstream COPYRIGHT.
  * Increased version in shlibs file, because upstream API revision increased.
  * Build against libgnutls.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed,  6 Jul 2005 13:30:40 +0400

libetpan (0.36-1) unstable; urgency=low

  * New upstream release.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Fri, 25 Feb 2005 21:57:38 +0300

libetpan (0.35-2) unstable; urgency=low

  * Changed priority of libetpan-dev package to extra, since it depends on
    extra-priority libdb4.2-dev.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Fri, 21 Jan 2005 11:31:08 +0300

libetpan (0.35-1) unstable; urgency=low

  * New upstream release:
    - has patch for gcc-4.0 applied (Closes: #287387),
    - has proper version in configure.in, so 02-fix-version.dpatch is not
      needed,
    - has 01-lockfile.dpatch applied.
  * Added debian/watch file.
  * Increased version in shlibs file, since new API calls have been added.
  * Added copyright information for libetpan-config.1 manpage.
  * Fixed libetpan-doc.doc-base to point to new index page (book1.htm) of
    API documentation.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Sun,  2 Jan 2005 23:05:15 +0300

libetpan (0.34-2) unstable; urgency=low

  * 02-no-double-libdb.dpatch touches configure and configure.in, causing
    attempts to call autotools at beginning of build process. Avoid those
    attempts by altering Makefile.in. Also add 'sleep 1; touch ./configure'
    to patch) clause of 02-no-double-libdb.dpatch's code to avoid attempts
    to rebuild configure as (indirect) dependency of Makefile.
    (02-no-double-libdb.dpatch fixes invalid library version; this patch
    is temporary and most likely will disappear with next upstream. So there
    is no rationale to do 'correct' autotools handling, hacky way is ok here.)
  * Add a hack to debian/rules that patches generated libtool to avoid
    rpath in the library.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Thu, 25 Nov 2004 23:11:07 +0300

libetpan (0.34-1) unstable; urgency=low

  * New upstream release.
  * Liblockfile support now is in upstream source, so 01-liblockfile.patch
    only contains a small fix. Also, liblockfile-specific code was removed
    from debian/rules since it is no longer needed there.
  * 02-no-double-libdb.dpatch is no longer needed with this release.
  * Added section for source package to debian/control

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Fri, 12 Nov 2004 00:50:36 +0300

libetpan (0.33-2) unstable; urgency=low

  * Removed library name from short descriptions of binary packages.
  * Add version information (>= 0.33) to libetpan1.shlibs file.
  * Add libdb4.2-dev, libssl-dev, liblockfile-dev to Depends: line of
    libetpan-dev package because libetpan-config script suggests to link
    against those libraries.
  * Thanks to Gerfried Fuchs <alfie@ist.org> for noticing the above problems
    in packaging.
  * Added 02-no-double-libdb.dpatch that avoids double inclusion of '-ldb4-2'
    in 'libetpan-config --libs' output.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Mon,  6 Sep 2004 23:07:14 +0400

libetpan (0.33-1) unstable; urgency=low

  * New upstream release.
  * Added patch from Gerfried Fuchs <alfie@ist.org> to use liblockfile
    for locking; added liblockfile-dev to Build-Depends.
  * Tweaked ./configure call in debian/rules as Gerfried Fuchs suggested.
  * Since this package is based on released version of the library, it's
    no longer needed to run auto* tools on build, so removed them from
    Build-Depends.
  * Release tarball contains pre-built documentation, so disabled
    documentation build, and removed jade and docbook-dsssl from Build-Depends.
  * Removed manual calls to install-docs from debian/libetpan-doc.{postinst,
    prerm} because debhelper adds those automatically.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed,  1 Sep 2004 00:28:34 +0400

libetpan (0.32.cvs.20040823-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * All my patches seem to be included upstream, so remove them.
  * Remove cross-compile-specific PATH setting for dh_strip call: newer
    dpkg-cross doesn't need it any longer.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Tue, 24 Aug 2004 16:36:14 +0400

libetpan (0.32.cvs.20040522-1) unstable; urgency=low

  * Take over the package, to prepare it for inclusion into Debian.
  * Repackaged using the current CVS version.
  * Now source package uses dpatch.
  * Converted changelog to utf8.
  * Rename libetpan0 to libetpan1 to match librariy's soname.
  * Build documentation and include it into -doc package.
  * Added libetpan-config.1 manpage to remove lintian error.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Sun, 23 May 2004 23:39:55 +0400

libetpan (0.26.cvs.20020914-1) unstable; urgency=low

  * CVS snapshot

 -- Gaël Roualland <gael.roualland@dial.oleane.com>  Sat, 14 Sep 2002 01:31:54 +0200

libetpan (0.26-1) unstable; urgency=low

  * Initial Release.

 -- Gaël Roualland <gael.roualland@dial.oleane.com>  Fri, 13 Sep 2002 01:51:02 +0200
